# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    jwt_signature: "lRDq9v0_qJSzMklkn89789lceJrJSKeSTiZCZlk34n6k3l346nKRPwNB9GggHiEFt-9IbrlzQggY3V443j5hk346k3Rn2N1qQmaW-3AksKI7x_tq83I3Ipo0N-LG0IRYmEdahRqd6RQ7ld_sopXIPkm82BnroaM7MJZBhsONQE_GNf0ZP2eLaGPnUBQ7-Hyu1M1YQPOhF"

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/*'
        exclude: '../src/{DependencyInjection,Entity,Migrations,Tests,Kernel.php}'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller'
        tags: ['controller.service_arguments']

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones

    App\EventListener\JsonRequestTransformerListener:
        tags:
            - { name: kernel.event_listener, event: kernel.request }

    App\EventListener\ExceptionListener:
        tags:
            - { name: kernel.event_listener, event: kernel.exception }

    App\EventListener\DoctrineSubscriber:
        tags:
            - { name: 'doctrine.event_subscriber' }

    App\EventListener\NotificationSubscriber:
        tags:
            - { name: 'doctrine.event_subscriber' }

    App\EventListener\ProductSerializerListener:
        tags:
            - { name: "jms_serializer.event_subscriber" }

    App\EventListener\OrderSerializerListener:
        tags:
            - { name: "jms_serializer.event_subscriber" }

    App\EventListener\BusinessSerializerListener:
        tags:
            - { name: "jms_serializer.event_subscriber" }

    App\Handler\AbsoluteUrlSerializerHandler:
        arguments: ["@request_stack"]
        tags:
            - { name: jms_serializer.subscribing_handler }

    App\Manager\MobileNotificationsManager:
        arguments: ["@redjan_ym_fcm.client"]

    App\EventListener\ProductAndPromotionQuantityChangedSubscriber:
        tags:
            - { name: 'kernel.event_subscriber' }

    App\EventListener\OrderStatusChangedSubscriber:
        tags:
            - { name: 'kernel.event_subscriber' }